# Uses of Class
org.apache.lucene.codecs.CompoundFormat

Packages that use CompoundFormat
Package
Description
org.apache.lucene.codecs
Codecs API: API for customization of the encoding and structure of the index.
org.apache.lucene.codecs.lucene103
Lucene 10.3 file format.
org.apache.lucene.codecs.lucene90
Lucene 9.0 file format.

- ## Uses of CompoundFormat in org.apache.lucene.codecs

  Methods in org.apache.lucene.codecs that return CompoundFormat
  Modifier and Type
  Method
  Description
  `abstract CompoundFormat`
  Codec.`compoundFormat()`
  Encodes/decodes compound files
  `CompoundFormat`
  FilterCodec.`compoundFormat()`

- ## Uses of CompoundFormat in org.apache.lucene.codecs.lucene103

  Methods in org.apache.lucene.codecs.lucene103 that return CompoundFormat
  Modifier and Type
  Method
  Description
  `final CompoundFormat`
  Lucene103Codec.`compoundFormat()`

- ## Uses of CompoundFormat in org.apache.lucene.codecs.lucene90

  Subclasses of CompoundFormat in org.apache.lucene.codecs.lucene90
  Modifier and Type
  Class
  Description
  `final class`
  `Lucene90CompoundFormat`
  Lucene 9.0 compound file format